MODEMMANAGER(8)

NAME
ModemManager - modem management daemon

SYNOPSIS
ModemManager [--version] | [--help]

ModemManager [--debug] [--log-level=<level>] [--log-file=<filename>] [--timestamps] [--relative-timestamps]

DESCRIPTION
The ModemManager daemon provides a unified high level API for communicating with (mobile broadband) modems. While the basic commands are standardized, the more advanced operations (like signal quality monitoring while connected) varies a lot.

ModemManager is a system daemon and is not meant to be used directly from the
    command line.

OPTIONS
The following options are supported:

--version
    Print the ModemManager software version and exit.

--help
    Print ModemManager's available options and exit.

--debug
    Runs ModemManager with "DEBUG" log level and without daemonizing. This is useful for debugging, as it directs log output to the controlling terminal in addition to syslog.

--log-level=<level>
    Sets how much information ModemManager sends to the log destination (usually syslog's "daemon" facility). By default, only informational, warning, and error messages are logged. Given level must be one of "ERR", "WARN", "INFO" or "DEBUG".

--log-file=<filename>
    Specify location of the file where ModemManager will dump its log messages, instead of syslog.

--timestamps
    Include absolute timestamps in the log output.

--relative-timestamps
    Include timestamps, relative to the start time of the daemon, in the log output.

SEE ALSO
NetworkManager(8).